output "node_ip" {
  value = hcloud_server.management_server.ipv4_address
}

output "hcloud_network_id" {
  value = hcloud_network.private.id
}

output "hcloud_token" {
  value     = var.hcloud_token
  sensitive = true
}

output "rancher_admin_password" {
  value     = module.rancher.rancher_server_admin_password
  sensitive = true
}

output "rancher_uri" {
  value = module.rancher.rancher_uri
}

output "minio_server" {
  value = module.minio.minio_server
}

output "minio_uri" {
  value = module.minio.minio_api_uri
}

output "vault_uri" {
  value = module.vault.vault_uri
}

output "vault_token" {
  value     = module.cluster-bootstrap.vault_token
  sensitive = true
}

output "cluster" {
  value = "management"
}
